xcb_xinerama_is_active(3)

NAME
xcb_xinerama_is_active -

SYNOPSIS
#include <xcb/xinerama.h>

  Request function

xcb_xinerama_is_active_cookie_t xcb_xinerama_is_active(xcb_connection_t *conn,

  Reply datastructure

typedef struct xcb_xinerama_is_active_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t state;
} xcb_xinerama_is_active_reply_t;

  Reply function

xcb_xinerama_is_active_reply_t *xcb_xinerama_is_active_reply(xcb_connection_t *conn, xcb_xinerama_is_active_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XINERAMA_IS_ACTIVE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

state
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xinerama_is_active_cookie_t. Errors have to be handled when calling the reply function xcb_xinerama_is_active_reply. If you want to handle errors in the event loop instead, use xcb_xinerama_is_active_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinerama.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.